.footer {
    margin-bottom: 8px;
    background: var(--main-gradient);
    overflow: hidden;
    position: relative;
}

.footer > svg {
    pointer-events: none;
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 74%;
}

.footer__row:nth-child(1) {
    padding-top: 37px;
}

.footer__row:nth-child(2) {
    padding-top: 56px;
    padding-bottom: 35px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 15px;
}

.footer__row:nth-child(3) {
    padding-top: 33px;
    padding-bottom: 15px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 15px;
}

.footer__column {
    text-align: right;
}

.footer__column:nth-child(1) {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex: 0 0 47%;
    flex: 0 0 47%;
}

.footer-logo img {
    max-width: 100%;
}

.footer-contacts {
    font-weight: 400;
    font-size: var(--fluid-24-18);
    line-height: 160%;
    color: var(--text-color-2);
}

.footer-contacts a {
    transition: color var(--animation-duration) var(--timing-func);
}

.footer-menu {
    font-weight: 500;
    font-size: var(--fluid-18-14);
    line-height: 160%;
    color: var(--text-color-2);
    text-align: center;
}

.footer-menu ul {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 24px;
}

.footer-menu a {
    white-space: nowrap;
    display: block;
    padding: 9px 24px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 51px;
    transition: background var(--animation-duration) var(--timing-func);
}

.policy-link {
    font-weight: 400;
    font-size: var(--fluid-16-12);
    line-height: 160%;
    color: var(--text-color-2);
    transition: color var(--animation-duration) var(--timing-func);
}

.dev-link {
    font-weight: 400;
    font-size: var(--fluid-16-12);
    line-height: 160%;
    color: var(--text-color-2);
    opacity: 0.5;
}

.scroll-top-link {
    margin-left: 46px;
    font-weight: 500;
    font-size: var(--fluid-18-14);
    line-height: 160%;
    color: var(--text-color-2);
    border-radius: 51px;
    padding: 0px 24px;
    height: 47px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 7px;
    background: #23509b;
    transition: background var(--animation-duration) var(--timing-func);
}

.scroll-top-link::before {
    content: url("data:image/svg+xml,%3Csvg width='18' height='10' viewBox='0 0 18 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 9L9 1L17 9' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
}

.footer-copyright {
    font-weight: 400;
    font-size: var(--fluid-16-12);
    line-height: 160%;
    color: var(--text-color-2);
}

@media (min-width: 1023.98px) {
    .footer {
        -webkit-mask-image: url("../img/footer_mask_2.png"), linear-gradient(#000000 0 0);
        mask-image: url("../img/footer_mask_2.png"), linear-gradient(#000000 0 0);
        -webkit-mask-position: calc(100% + 1px) top;
        mask-position: calc(100% + 1px) top;
        -webkit-mask-size: 68.5% 110px, auto;
        mask-size: 68.5% 110px, auto;
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        -webkit-mask-composite: xor;
        mask-composite: exclude;
        border-radius: 50px 0px 50px 50px;
    }
}

@media (max-width: 1840px) {
    .footer__wrapper {
        padding: 0px 20px;
    }
}

@media (max-width: 1200px) {
    .footer__column:nth-child(1) {
        -ms-flex: 0 0 60%;
        flex: 0 0 60%;
    }

    .footer-menu ul {
        gap: 12px;
    }

    .scroll-top-link {
        margin-left: 18px;
    }
}

@media (max-width: 1023.98px) {
    .footer > svg {
        display: none;
    }

    .footer__row:nth-child(2) {
        -ms-flex-direction: column;
        flex-direction: column;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .footer__column:nth-child(1) {
        -ms-flex: 1 0 auto;
        flex: 1 0 auto;
        -ms-flex-direction: column;
        flex-direction: column;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .footer-menu ul {
        -ms-flex-direction: column;
        flex-direction: column;
        -ms-flex-align: stretch;
        align-items: stretch;
    }

    .scroll-top-link {
        height: 32px;
        padding: 0px 18px;
    }
}

@media (max-width: 479.98px) {
    .footer__row:nth-child(3) {
        -ms-flex-direction: column;
        flex-direction: column;
    }
}

@media (any-hover: hover) {
    .footer-contacts a:hover {
        color: var(--accent-color);
    }

    .footer-menu a:hover {
        background: var(--accent-color);
    }

    .policy-link:hover {
        color: var(--accent-color);
    }

    .dev-link:hover {
        opacity: 1;
    }

    .scroll-top-link:hover {
        background: var(--accent-color);
    }
}